XRANDR(1)

NOM
xrandr - interface primitive de l'extension RandR en ligne de commande

SYNOPSIS
xrandr [--help] [--display affichage] [-q] [-v] [--verbose] [--dryrun] [--screen num_écran] [--q1] [--q12] [--current] [--noprimary] [--panning largeurxhauteur[+x+y[/track_widthxtrack_height+track_x+track_y[/bordure_gauche/bordure_haut/bordure_droite/bordure_bas]]]] [--scale x[xy]] [--scale-from wxh] [--transform a,b,c,d,e,f,g,h,i] [--primary] [--prop] [--fb largeurxhauteur] [--fbmm largeurxhauteur] [--dpi dpi] [--dpi depuis-sortie] [--newmode nom mode] [--rmmode nom] [--addmode sortie nom] [--delmode sortie nom] [--output sortie] [--auto] [--mode mode] [--preferred] [--pos xxy] [--rate fréq] [--reflect réflexion] [--rotate orientation] [--left-of sortie] [--right-of sortie] [--above sortie] [--below sortie] [--same-as sortie] [--set caractéristique valeur] [--off] [--crtc crtc] [--gamma rouge[:vert:bleu]] [--brightness luminosité] [-o orientation] [-s taille] [-r fréq] [-x] [-y] [--listproviders] [--setprovideroutputsource fournisseur source] [--setprovideroffloadsink fournisseur sink] [--listmonitors] [--listactivemonitors] [--setmonitor nom géométrie sorties] [--delmonitor nom]

DESCRIPTION
Xrandr est utilisé pour spécifier la taille, l'orientation ou la réflexion des sorties d'un écran. Il peut également spécifier la taille de l'écran.

Si appelé sans aucune option, il affichera le statut des sorties, montrant les modes existant pour chacune d'entre elles, avec un « + » après les modes préférés et une « * » après le mode en cours.

Il y a peu d'options globales. Les autres options modifient la dernière sortie spécifiée dans les paramètres précédents passés dans la ligne de commande. De nombreuses sorties peuvent être modifiées au même moment à l’aide de plusieurs options --output suivies immédiatement par leurs options de modification correspondantes.

--help
    Afficher un sommaire des différentes utilisations possibles et sortir.

-v, --version
    Afficher la version de RandR rapportée par le serveur X et sortir.

--verbose
    xrandr devient plus verbeux. Quand utilisé avec -q (ou sans autre option), xrandr affichera plus d'informations sur l’état du serveur. Veuillez noter que les informations sur le gamma et la luminosité sont seulement des approximations du profil couleur du serveur. Quand utilisé avec des options qui reconfigurent le système, l’évolution sera rapportée pendant les changements de configuration.

-q, --query
    Quand cette option est présente, ou quand aucun changement de configuration n'a été demandé, xrandr affichera l’état actuel du système.

--dryrun
    Effectuer toutes les actions spécifiées sans apporter aucune modification.

--nograb
    Appliquer les modifications sans neutraliser l'écran. Cela évite de bloquer les autres applications lors de la mise à jour, mais cela pourrait conduire certaines applications qui détectent le redimensionnement de l'écran à recevoir les anciennes valeurs.

-d, --display nom
    Cette option sélectionne l'écran X à utiliser. Veuillez noter que cela concerne la forme abstraite de l'écran X, non le moniteur (ou la sortie).

--screen num-écran
    Cette option sélectionne l'écran à manipuler. Veuillez noter que cela concerne la forme abstraite de l'écran X, non le moniteur (ou la sortie).

--q1
    Forcer l'utilisation de la version 1.1 du protocole RandR, même si une version plus récente est disponible.

--q12
    Forcer l'utilisation de la version 1.2 du protocole RandR, même si l'écran ne semble pas être compatible ou qu'une version plus récente soit disponible.

Options de RandR version 1.5

Les options de RandR 1.5 sont utilisées comme une supercollection des options de RandR 1.4.

--listmonitors
    Rapporter des informations sur tous les moniteurs définis.

--listactivemonitors
    Rapporter des informations sur les moniteurs actifs en ce moment.

--setmonitor nom géométrie sorties
    Définir un nouvel écran avec une certaine géométrie et les sorties associées. La liste en sortie est soit le mot clef none ou soit une liste de sorties séparées par des virgules. La géométrie est soit le mot clef auto, celui-ci conduira le moniteur à suivre automatiquement la géométrie des sorties associées, ou soit une spécification manuelle sous la forme w/mmwxh/mmh+x+y où w,h, x, y sont exprimés en pixels et où mmw, mmh sont les dimensions physiques du moniteur.

--delmonitor nom
    Supprimer le moniteur défini par l'utilisateur.

Options de RandR version 1.4

Les options de RandR 1.4 sont utilisées comme une supercollection des options de RandR 1.3.

--listproviders
    Rapporter des informations sur les fournisseurs disponibles.

--setprovideroutputsource fournisseur source
    Définir source en tant que source des images de la sortie d'affichage pour fournisseur. Cela n'est possible que si source et fournisseur ont, respectivement, les possibilités Source Output et Sink Output. Si source vaut 0x0, fournisseur est déconnecté de sa source d'affichage actuelle.

--setprovideroffloadsink fournisseur sink
    Définir fournisseur en tant que périphérique de destination pour le rendu de sink. Cela n'est possible que si fournisseur et sink ont respectivement les possibilités Source Offload et Sink Offload. Si sink vaut 0x0, fournisseur est déconnecté de sa source de destination de rendu.

Options de RandR version 1.3

Les options de RandR 1.3 sont utilisées comme une supercollection des options de RandR 1.2.

--current
    Retourner la configuration de l'écran en cours, sans recherche de changements matériels.

--noprimary
    Ne pas définir de sortie primaire.

Options par sortie

--panning largeurxhauteur[+x+y[/track_widthxtrack_height+track_x+track_y[/bordure_gauche/bordure_haute/bordure_droite/bordure_bas]]]
    Cette option définit les paramètres de glissement. Dès que le glissement est activé, la position du CRTC peut changer à chaque mouvement du pointeur. Les quatre premiers paramètres indiquent la zone du glissement, les quatre suivants celle de poursuite du pointeur (qui est par défaut la même). Les quatre derniers paramètres indiquent la bordure et sont à 0 par défaut. Une largeur ou une hauteur à 0 désactivent le glissement sur l'axe en question. Vous devez généralement définir simultanément la taille de l'écran avec --fb.

--transform a,b,c,d,e,f,g,h,i
    Spécifier une matrice de transformation à appliquer à la sortie. Un filtre bilinéaire est automatiquement sélectionné sauf si le paramètre --filter est également spécifié. La formule mathématique correspond à :
        a b c
        d e f
        g h i
    La transformation s'appuie sur des coordonnées homogènes. La matrice multipliée par les composantes vectorielles d'un pixel d'affichage donne les composantes vectorielles transformées d'un pixel dans le tampon graphique. Plus précisément, le vecteur (x y) du pixel d'affichage est étendu à trois valeurs (x y w), avec 1 comme coordonnée w multiplié par la matrice. Les coordonnées du pixel final du périphérique sont alors calculées avec ce qu'on appelle la division homogène par la coordonnée w transformée. Autrement dit, les coordonnées (x' y') du pixel transformé sont :
        x' = (ax + by + c) / w' et
        y' = (dx + ey + f) / w' ,
        avec w' = (gx + hy + i) .
    Typiquement, a et e correspondent à la mise à l'échelle sur les axes X et Y, c et f correspondent à la translation sur ces axes, et g, h et i sont respectivement 0, 0 et 1. Cette matrice peut être également utilisée pour formuler des transformations plus complexes telles que la correction de trapèze, ou la rotation. Pour une rotation d'un angle T, cette formule peut être utilisée :
        cos T -sin T 0
        sin T cos T 0
         0 0 1
    En tant qu'argument spécial, on peut passer, à la place d'une matrice, la chaîne de caractères none : dans ce cas les valeurs par défaut sont utilisées (une matrice unitaire sans filtre).

--filter mode-de-filtre
    Choisir une méthode de mise à l'échelle quand l'écran est redimensionné ou transformé. Peut être soit « bilinear » (bilinéaire) ou « nearest » (le plus proche).

--scale x[xy]
    Changer les dimensions de l'image en sortie. Si la valeur y est omise, la valeur x sera utilisée pour les deux dimensions. Les valeurs plus grandes que 1 résultent en un écran compressé (un écran aux dimensions plus grandes que celles de la sortie), et inversement pour les valeurs inférieures à 1. Cette option est en fait une version simplifiée de l'option --transform.

--scale-from wxh
    Spécifier la taille en pixels de la zone du framebuffer à afficher sur cette sortie. Cette option est en fait une version raccourcie de l'option --transform.

--primary
    Spécifier la sortie comme primaire. Elle sera affichée en premier lors des requêtes géométriques Xinerama et RANDR.

Options de RandR version 1.2
Ces options sont disponibles pour un serveur X gérant RandR version 1.2 ou ultérieure.

--prop, --properties
    Cette option conduit xrandr à afficher le contenu des propriétés de chaque sortie. --verbose active implicitement --prop.

--fb largeurxhauteur
    Reconfigure l'écran avec la taille spécifiée. Tous les moniteurs configurés doivent tenir dans cette taille. Quand cette option n'est pas fournie, xrandr calcule la plus petite taille de l'écran qui contiendra toute la collection de sorties configurées. Cette option fournit un moyen de surcharger ce comportement.

--fbmm largeurxhauteur
    Spécifier la valeur rapportée comme taille physique de l'écran X dans son entier (la réunion de tous les moniteurs configurés). Dans des configurations avec plusieurs moniteurs ayant des résolutions différentes, la valeur n'a pas de signification physique mais peut être utilisée sur certains anciens clients qui ne gèrent pas RandR version 1.2 afin de calculer une mise à l'échelle de la fonte de référence. Normalement, xrandr réinitialise les valeurs rapportées de la taille physique afin de maintenir le DPI constant. Cela surcharge la manière de calculer. Le DPI par défaut est 96.

--dpi dpi

--dpi depuis-sortie
    Cela définit également la valeur rapportée comme taille physique de l'écran X dans son entier (réunion de tous les moniteurs configurés). Dans des configurations avec plusieurs moniteurs de différentes résolutions, la valeur n'a pas de sens physique, mais elle peut être utilisée par des clients primaires qui ne prennent pas en charge RandR version 1.2 pour calculer une mise à l’échelle de la fonte de référence. Cette option utilise soit la valeur de DPI spécifiée, soit la DPI de la sortie donnée, pour calculer une taille physique adaptée en utilisant n'importe quelle taille de pixel qui sera définie. Les valeurs classiques sont celles par défaut (96 dpi), le DPI du seul moniteur dans les configurations à un moniteur, ou le DPI du moniteur primaire dans les configurations à plusieurs moniteurs.

--newmode nom mode
    De nouvelles définitions d’écran (modeline) peuvent être ajoutées au serveur puis associées aux sorties. Cette option fait la première chose. Le mode est indiqué en utilisant la syntaxe Modeline pour xorg.conf : les drapeaux clock hdisp hsyncstart hsyncend htotal vdisp vsyncstart vsyncend vtotal. Les drapeaux peuvent valoir 0 ou plus de +HSync, -HSync, +VSync, -VSync, Interlace, DoubleScan, CSync, +CSync, -CSync. Divers outils permettent de calculer les définitions habituelles à partir de la hauteur, de la largeur et de la fréquence de rafraîchissement, vous pouvez par exemple utiliser cvt.

--rmmode nom
    Cela supprime un mode du serveur s'il n'est utilisé autrement.

--addmode sortie nom
    Ajouter un mode à l'ensemble des modes valables pour une sortie.

--delmode sortie nom
    Supprimer un mode de l'ensemble des modes valables pour une sortie.

Options par sortie

--output sortie
    Sélectionner une sortie à reconfigurer. Utilisez soit le nom de la sortie soit son XID.

--auto
    Pour les sorties connectées mais désactivées, cela les activera en utilisant leur premier mode préféré (ou, si aucun mode n'est préféré, quelque chose de proche de 96 dpi). Pour les sorties déconnectées mais activées, cela les désactivera.

--mode mode
    Cela sélectionne un mode. Utilisez soit le nom ou le XID pour mode

--preferred
    Cela sélectionne le même mode que --auto, à l'exception qu'il n'active ou ne désactive pas automatiquement la sortie.

--pos xxy
    Positionner la sortie sur l'écran en utilisant des coordonnées en pixels. Si une réflexion ou une rotation est appliquée, la translation s'opère après ses effets.

--rate fréq
    Cela marque une préférence pour les fréquences de rafraichissement proches de la valeur spécifiée, quand de nombreux modes ont le même nom. Cela sélectionnera la fréquence de rafraichissement qui est la plus proche.

--reflect réflexion
    Réflexion peut être « normal », « x », « y » ou « xy ». Cela réfléchit le contenu de la sortie selon les axes donnés.

--rotate rotation
    La rotation peut être soit « normal » (normale), soit « left » (gauche), soit « right » (droite) ou encore « inverted » (inversée). Cela conduit le contenu des sorties à être pivoté vers certaine direction. « right » (droite) spécifie une rotation dans le sens des aiguilles d'une montre et inversement pour « left » (gauche).

--left-of, --right-of, --above, --below, --same-as autre-sortie
    Utiliser une de ces options pour positionner la sortie par rapport à la position d'une autre sortie. Cela permet d'arranger commodément les sorties à l’intérieur de un écran. La position est toujours calculée par rapport à la nouvelle position de l'autre sortie, donc on ne peut pas dire --output a --left-of b --output b --left-of a.

--set caractéristique valeur
    Définir les caractéristiques d'une sortie. Des caractéristiques numériques peuvent être indiquées (voir --prop) dans une liste séparée par des virgules de valeurs décimales ou hexadécimales (précédées de 0x). Les propriétés atomiques peuvent être positionnées sur n'importe quel valeur atomique (voir --prop). Les caractéristiques de chaîne peuvent être positionnées à n'importe quelle valeur.

--off
    Désactiver la sortie.

--crtc crtc
    Utiliser le crtc spécifié (soit comme index d'une liste de CRTC ou d’XID). Normalement, cette option n'est pas nécessaire car xrandr essaie de faire des choix sensés quant au crtc à utiliser avec chaque sortie. Quand cela échoue pour une raison ou pour une autre, cette option peut outrepasser la sélection normale.

--gamma rouge[:vert:bleu]
    Faire des valeurs décimales spécifiées une correction gamma sur le CRTC actuellement connecté à la sortie. Si vert et bleu ne sont pas indiqués, la valeur rouge sera utilisée pour les trois composants. Remarquez que vous ne pouvez pas avoir deux valeurs différentes pour deux sorties clones (à savoir qui partagent le même CRTC) et que le passage d’une sortie vers un autre CRTC ne modifie en aucun cas les corrections gamma du CRTC.

--brightness luminosité
    Multiplier les valeurs gamma du CRTC connecté à la sortie par la valeur décimale spécifiée. Utile pour des sorties à la luminosité trop importante ou trop faible. Toutefois, il ne s'agit que d'une modification logicielle, si votre matériel gère, en fait, la modification de la luminosité, vous préfèrerez probablement utiliser xbacklight.

Options de RandR version 1.1
Ces options sont disponibles pour les serveurs X prenant en charge RandR version 1.1 ou inférieure. Elles fonctionnent encore sur les nouveaux serveurs X, mais elles n'interagissent pas sensiblement avec les options de la version 1.2 sur la même ligne de commande.

-s, --size size-index ou --size largeurxhauteur
    Cela détermine la taille de l'écran, soit en l’adaptant à la taille soit en utilisant l'index de la liste des tailles disponibles.

-r, --rate, --refresh fréq
    Cela spécifie la fréquence de rafraichissement le plus proche de la valeur donnée.

-o, --orientation rotation
    Cela spécifie l'orientation de l'écran, et peut être soit normal (normale), soit inverted (inversée), soit left (gauche) ou right (droite).

-x  Réflexion sur l'axe X.

-y  Réflexion sur l'axe Y.

EXEMPLES
Positionner une sortie appelée LVDS sur son mode préféré, puis positionner à sa droite une sortie appelée VGA sur le mode préféré de l'écran physiquement orienté dans le sens des aiguilles d'une montre :
    xrandr --output LVDS --auto --rotate normal --pos 0x0 --output VGA --auto --rotate left --right-of LVDS

Forcer l'utilisation du mode 1024x768 sur une sortie se nommant VGA :
    xrandr --newmode "1024x768" 63.50 1024 1072 1176 1328 768 771 775 798 -hsync +vsync
    xrandr --addmode VGA 1024x768
    xrandr --output VGA --mode 1024x768

Activer le glissement sur un bureau de 1600x768 dans un affichage en mode 1024x768 sur une sortie appelée VGA :
    xrandr --fb 1600x768 --output VGA --mode 1024x768 --panning 1600x0

Avoir un petit écran LVDS 1280x800 affichant une petite version d'un grand bureau de 3200x2000 et avoir un grand écran VGA pour afficher l'environnement de la souris dans une taille normale.
    xrandr --fb 3200x2000 --output LVDS --scale 2.5x2.5 --output VGA --pos 0x0 --panning 3200x2000+0+0/3200x2000+0+0/64/64/64/64

Afficher la sortie VGA sous forme de trapèze pour une correction logicielle (keystone) si le vidéoprojecteur est légèrement au-dessus de l'écran :
    xrandr --fb 1024x768 --output VGA --transform 1.24,0.16,-124,0,1.24,0,0,0.000316,1

VOIR AUSSI
Xrandr(3), cvt(1), xkeystone(1), xbacklight(1)

AUTEURS
Keith Packard, Open Source Technology Center, Intel Corporation. et Jim Gettys, Cambridge Research Laboratory, HP Labs, HP.

TRADUCTION
La traduction française de cette page de manuel a été créée par José JORGE, Cyril Guilloud <guilloud@lautre.net>, KDE Simon Depiets <2df_CHEZ_tuxfamily_POINT_org>, Gérard Delafond <gerard@delafond.org>, Bernard Siaud, Nicolas François <nicolas.francois@centraliens.net>, David Prévot <david@tilapin.org>, Jean-Philippe MENGUAL <jpmengual@debian.org> et Mattéo Rossillol‑‑Laruelle <beatussum@protonmail.com>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.